Subject: Re: [Bitcoin-development] Mining centralization pressure from non-uniform propagation speed

From: Yifu Guo <[email-masked]>
Date: Thu, 18 Jun 2015 21:31:00 -0400

Nice insight Peter,

This further confirms the real problem, which doesn't have much to do with
blocksize but rather the connectivity of nodes in countries with
not-so-friendly internet policies and deceptive connectivity.

On Thu, Jun 18, 2015 at 6:00 PM, Tom Harding <[email-masked]> wrote:

> On 06/12/2015 06:51 PM, Pieter Wuille wrote:
> >> However, it does very clearly show the effects of
> >> larger blocks on centralization pressure of the system.
>
> On 6/14/2015 10:45 AM, Jonas Nick wrote:
> > This means that your scenario is not the result of a cartel but the
> result of a long-term network partition.
> >
>
> Pieter, to Jonas' point, in your scenario the big miners are all part of
> the majority partition, so "centralization pressure" (pressure to merge
> with a big miner) cannot be separated from "pressure to be connected to
> the majority partition".
>
> I ran your simulation with a large (20%) miner in a 20% minority
> partition, and 16 small (5%) miners in a majority 80% partition, well
> connected.  The starting point was your recent update, which had a more
> realistic "slow link" speed of 100 Mbit/s (making all of the effects
> smaller).
>
> To summarize the results across both your run and mine:
>
> ** Making small blocks when others are making big ones -> BAD
> ** As above, and fees are enormous -> VERY BAD
>
> ** Being separated by a slow link from majority hash power -> BAD
>
> ** Being a small miner with blocksize=20MB -> *NOT BAD*
>
>
> Configuration:
>    * Miner group 0: 20.000000% hashrate, blocksize 20000000.000000
>    * Miner group 1: 80.000000% hashrate, blocksize 1000000.000000
>    * Expected average block size: 4800000.000000
>    * Average fee per block: 0.250000
>    * Fee per byte: 0.0000000521
> Result:
>    * Miner group 0: 20.404704% income (factor 1.020235 with hashrate)
>    * Miner group 1: 79.595296% income (factor 0.994941 with hashrate)
>
> Configuration:
>    * Miner group 0: 20.000000% hashrate, blocksize 20000000.000000
>    * Miner group 1: 80.000000% hashrate, blocksize 20000000.000000
>    * Expected average block size: 20000000.000000
>    * Average fee per block: 0.250000
>    * Fee per byte: 0.0000000125
> Result:
>    * Miner group 0: 19.864232% income (factor 0.993212 with hashrate)
>    * Miner group 1: 80.135768% income (factor 1.001697 with hashrate)
>
> Configuration:
>    * Miner group 0: 20.000000% hashrate, blocksize 20000000.000000
>    * Miner group 1: 80.000000% hashrate, blocksize 1000000.000000
>    * Expected average block size: 4800000.000000
>    * Average fee per block: 25.000000
>    * Fee per byte: 0.0000052083
> Result:
>    * Miner group 0: 51.316895% income (factor 2.565845 with hashrate)
>    * Miner group 1: 48.683105% income (factor 0.608539 with hashrate)
>
> Configuration:
>    * Miner group 0: 20.000000% hashrate, blocksize 20000000.000000
>    * Miner group 1: 80.000000% hashrate, blocksize 20000000.000000
>    * Expected average block size: 20000000.000000
>    * Average fee per block: 25.000000
>    * Fee per byte: 0.0000012500
> Result:
>    * Miner group 0: 19.865943% income (factor 0.993297 with hashrate)
>    * Miner group 1: 80.134057% income (factor 1.001676 with hashrate)
>
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>

-- 
*Yifu Guo*
*"Life is an everlasting self-improvement."*